﻿/**
 * @author Brooks Andrus
 * Copyright TechSmith
 * Aug 1, 2006
 */
import com.techsmith.widgets.Movable

dynamic class com.techsmith.preloader.TSPreloader extends Movable
{
   private var progressBase:MovieClip;
   private var progressBar:MovieClip;
   private var statusMessage:TextField;
   private var progressMessage:TextField;
   
   public function TSPreloader()
   {
      progressBar._xscale = 0;
      this.onEnterFrame = controllerLoadingEvent;
   }
   
   /**
    * Function: controllerLoadingEvent
    * 
    * Displays the progress of the preloading of the root timeline (all classes and graphics)
    * 
    */
   public function controllerLoadingEvent():Void
   {
      //nasty reference to root about to commence
      var bl:Number = _root.getBytesLoaded();
      var bt:Number = _root.getBytesTotal();
      if ( bl == bt )
      {
         var percent:Number      = Math.round( ( bl / bt ) * 100 );
         statusMessage.text      = "Loading Controls";
         progressMessage.text    = Math.round( percent ) + " %";	
         progressBar._xscale     = percent;
         delete this.onEnterFrame;
      }	
      else
      {
         var percent:Number      = Math.round( ( bl / bt ) * 100 );
         statusMessage.text      = "Loading Controls";
         progressMessage.text    = Math.round( percent ) + " %";	
         progressBar._xscale     = percent;
      }
      
   }
   
   
   /**
    * Function: mediaLoadingEvent
    * 
    * Displays the progress of the media being preloaded
    * 
    * Parameters:
    * 
    * e - event object
    * e.target          - the object emitting this event
    * e.type            - the name of the event
    * e.percentLoaded   - the percentage of the media currently load
    * e.requiredPercent - the total percentage of the media that the user had request to be preloaded
    * e.bytesLoaded     - the number of bytes loaded so far
    * e.bytesTotal      - the total number of bytes of the media
    * 
    */
   public function mediaLoadingEvent( e:Object ):Void
   {
       if ( e.percentLoaded > e.requiredPercent )
       {
          statusMessage.text   = "Screencast will begin shortly.";         
       }
       else
       {
	      statusMessage.text = "Loading Screencast";
       }
       
       progressMessage.text = Math.round( e.percentLoaded ) + " %";	
       progressBar._xscale  = e.percentLoaded;  
   }

}